% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dataOrganize.R
\name{dataOrganize}
\alias{dataOrganize}
\title{R6 class to assist in reformatting the data to be used in dataSDM.}
\description{
Internal functions used to temporarily store data and other information before adding to dataSDM.
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-dataOrganize-makeData}{\code{dataOrganize$makeData()}}
\item \href{#method-dataOrganize-makeSpecies}{\code{dataOrganize$makeSpecies()}}
\item \href{#method-dataOrganize-makeMultinom}{\code{dataOrganize$makeMultinom()}}
\item \href{#method-dataOrganize-makeFormulas}{\code{dataOrganize$makeFormulas()}}
\item \href{#method-dataOrganize-makeComponents}{\code{dataOrganize$makeComponents()}}
\item \href{#method-dataOrganize-makeLhoods}{\code{dataOrganize$makeLhoods()}}
\item \href{#method-dataOrganize-clone}{\code{dataOrganize$clone()}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-dataOrganize-makeData"></a>}}
\if{latex}{\out{\hypertarget{method-dataOrganize-makeData}{}}}
\subsection{Method \code{makeData()}}{
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{dataOrganize$makeData(
  datapoints,
  datanames,
  coords,
  proj,
  marktrialname,
  paresp,
  countsresp,
  trialname,
  speciesname,
  marks,
  pointcovnames,
  markfamily,
  temporalvar,
  offsetname
)}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-dataOrganize-makeSpecies"></a>}}
\if{latex}{\out{\hypertarget{method-dataOrganize-makeSpecies}{}}}
\subsection{Method \code{makeSpecies()}}{
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{dataOrganize$makeSpecies(speciesname)}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-dataOrganize-makeMultinom"></a>}}
\if{latex}{\out{\hypertarget{method-dataOrganize-makeMultinom}{}}}
\subsection{Method \code{makeMultinom()}}{
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{dataOrganize$makeMultinom(multinomVars, return, oldVars)}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-dataOrganize-makeFormulas"></a>}}
\if{latex}{\out{\hypertarget{method-dataOrganize-makeFormulas}{}}}
\subsection{Method \code{makeFormulas()}}{
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{dataOrganize$makeFormulas(
  spatcovs,
  speciesname,
  paresp,
  countresp,
  marks,
  marksspatial,
  spatial,
  intercept,
  temporalname,
  markintercept,
  pointcovs,
  speciesspatial
)}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-dataOrganize-makeComponents"></a>}}
\if{latex}{\out{\hypertarget{method-dataOrganize-makeComponents}{}}}
\subsection{Method \code{makeComponents()}}{
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{dataOrganize$makeComponents(
  spatial,
  intercepts,
  datanames,
  marks,
  speciesname,
  multinomnames,
  pointcovariates,
  covariatenames,
  covariateclass,
  marksspatial,
  marksintercept,
  temporalname,
  speciesspatial,
  numtime,
  temporalmodel,
  offsetname
)}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-dataOrganize-makeLhoods"></a>}}
\if{latex}{\out{\hypertarget{method-dataOrganize-makeLhoods}{}}}
\subsection{Method \code{makeLhoods()}}{
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{dataOrganize$makeLhoods(
  mesh,
  ips,
  paresp,
  ntrialsvar,
  markstrialsvar,
  speciesname
)}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-dataOrganize-clone"></a>}}
\if{latex}{\out{\hypertarget{method-dataOrganize-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{dataOrganize$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
